Subject: Re: linux-next: build warnings after merge of the scsi-mkp tree

From: Mike Christie <[email-masked]>
Date: Mon, 16 Oct 2023 10:25:14 -0500

On 10/16/23 12:06 AM, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the scsi-mkp tree, today's linux-next build (htmldocs)
> produced thess warnings:
> 
> drivers/target/target_core_transport.c:1930: warning: Function parameter or member 'se_cmd' not described in 'target_submit'
> drivers/target/target_core_transport.c:1930: warning: Excess function parameter 'cmd' description in 'target_submit'
> 

I missed fixing up the param name when I merged some functions. I need
the patch below.

Martin, because this is only in your 6.7 scsi-staging branch, should I
re-send the entire patcheset with this patch merged into
("scsi: target: Allow userspace to request direct submissions")?

Or do you want me to just send the patch below against 6.7 scsi-staging?

diff --git a/drivers/target/target_core_transport.c b/drivers/target/target_core_transport.c
index c81def3c96df..670cfb7bd426 100644
--- a/drivers/target/target_core_transport.c
+++ b/drivers/target/target_core_transport.c
@@ -1921,7 +1921,7 @@ static void target_queue_submission(struct se_cmd *se_cmd)
 
 /**
  * target_submit - perform final initialization and submit cmd to LIO core
- * @cmd: command descriptor to submit
+ * @se_cmd: command descriptor to submit
  *
  * target_submit_prep or something similar must have been called on the cmd,
  * and this must be called from process context.